<?php
namespace TYPO3\Test\Domain\Model;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2013 
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 *
 *
 * @package test
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 */
class A extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity {

	/**
	 * b
	 *
	 * @var \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\TYPO3\Test\Domain\Model\B>
	 */
	protected $b;

	/**
	 * __construct
	 *
	 * @return A
	 */
	public function __construct() {
		//Do not remove the next line: It would break the functionality
		$this->initStorageObjects();
	}

	/**
	 * Initializes all ObjectStorage properties.
	 *
	 * @return void
	 */
	protected function initStorageObjects() {
		/**
		 * Do not modify this method!
		 * It will be rewritten on each save in the extension builder
		 * You may modify the constructor of this class instead
		 */
		$this->b = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
	}

	/**
	 * Adds a B
	 *
	 * @param \TYPO3\Test\Domain\Model\B $b
	 * @return void
	 */
	public function addB(\TYPO3\Test\Domain\Model\B $b) {
		$this->b->attach($b);
	}

	/**
	 * Removes a B
	 *
	 * @param \TYPO3\Test\Domain\Model\B $bToRemove The B to be removed
	 * @return void
	 */
	public function removeB(\TYPO3\Test\Domain\Model\B $bToRemove) {
		$this->b->detach($bToRemove);
	}

	/**
	 * Returns the b
	 *
	 * @return \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\TYPO3\Test\Domain\Model\B> $b
	 */
	public function getB() {
		return $this->b;
	}

	/**
	 * Sets the b
	 *
	 * @param \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\TYPO3\Test\Domain\Model\B> $b
	 * @return void
	 */
	public function setB(\TYPO3\CMS\Extbase\Persistence\ObjectStorage $b) {
		$this->b = $b;
	}

}
?>